using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.StoragesContracts
{
    public interface IDishStorage
    {
        List<DishViewModel> GetFullList();
        List<DishViewModel> GetFilteredList(DishSearchModel model);
        DishViewModel? GetElement(DishSearchModel model);
        DishViewModel? Insert(DishBindingModel model);
        DishViewModel? Update(DishBindingModel model);
        DishViewModel? Delete(DishBindingModel model);
    }
}
